// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using System;

namespace Atom.Core.Networking.Messages.Structures.Misc
{
    public class PROTO_NC_MISC_GAMETIME_ACK : NetworkMessage
    {
        public PROTO_NC_MISC_GAMETIME_ACK(DateTimeOffset timeOffset) : base(MessageProtocol.NC_MISC_GAMETIME_ACK)
        {
            Write((byte) timeOffset.Hour);
            Write((byte) timeOffset.Minute);
            Write((byte) timeOffset.Second);
        }
    }
}
